<?php

namespace App\WebRepositories;

use App\Models\Enquery;
use App\WebRepositories\Interfaces\EnqueryInterface;
use Illuminate\Http\Request;

class EnqueryRepository implements EnqueryInterface
{
    public function store(Request $request)
    {

        $model = new Enquery;

        $model->name = $request->name;
        $model->email = $request->email;
        $model->phone_number = $request->phone_number;
        $model->enquery_for = $request->enquery_for;
        $model->message = $request->message;

        $model->save();

        return $model;
    }
}
